from sqlalchemy import Column, Integer, Text, BigInteger
from sqlalchemy.ext.declarative import declarative_base

from pqai_agent import configs

Base = declarative_base()

class AgentPushRecord(Base):
    __tablename__ = configs.get().get('storage', {}).get('push_record', {}).get('table_name', 'agent_push_record_dev')
    id = Column(Integer, primary_key=True)
    staff_id = Column(Integer)
    user_id = Column(Integer)
    content = Column(Text)
    timestamp = Column(BigInteger)